import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-stat-card': SzStatCard;
    }
}
export declare class SzStatCard extends DeesElement {
    static demo: () => TemplateResult<1>;
    accessor label: string;
    accessor value: string;
    accessor icon: string;
    accessor variant: 'default' | 'success' | 'warning' | 'error';
    accessor valueBadge: boolean;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private renderIcon;
}
